import Ably, { ClientOptions, RealtimeChannel } from 'ably'

const options: ClientOptions = {
  key: '94j8hA.K7z9bw:UY4TtSahTEoLybHHRT8f9xQZdAXTp_rD52u5KKXrsjk',
  autoConnect: false,
}

const ably = new Ably.Realtime(options)

const getChannel = (channelName: string): RealtimeChannel => {
  if (ably.connection.state !== 'connected') {
    ably.connect()
  }

  return ably.channels.get(channelName)
}

const connect = (): void => ably.connect()
const close = (): void => ably.close()

export const ablyService = {
  close,
  connect,
  getChannel,
}
